- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Macros | Enumerations | Functions | Variables
- Base Ecore_Audio object
Ecore_Audio - Convenience audio API

## Macros
#define | ECORE_AUDIO_OBJ_CLASS ecore_audio_obj_class_get()
| Ecore_Audio object class.
#define | ECORE_AUDIO_OBJ_ID(sub_id) (ECORE_AUDIO_OBJ_BASE_ID + EO_TYPECHECK(enum Ecore_Audio_Obj_Sub_Ids, sub_id))
#define | ecore_audio_obj_name_set(name) ECORE_AUDIO_OBJ_ID(ECORE_AUDIO_OBJ_SUB_ID_NAME_SET), EO_TYPECHECK(const char *, name)
| Set the name of the object. More...
#define | ecore_audio_obj_name_get(ret) ECORE_AUDIO_OBJ_ID(ECORE_AUDIO_OBJ_SUB_ID_NAME_GET), EO_TYPECHECK(const char **, ret)
| Get the name of the object. More...
#define | ecore_audio_obj_paused_set(paused) ECORE_AUDIO_OBJ_ID(ECORE_AUDIO_OBJ_SUB_ID_PAUSED_SET), EO_TYPECHECK(Eina_Bool, paused)
| Set the paused state of the object. More...
#define | ecore_audio_obj_paused_get(ret) ECORE_AUDIO_OBJ_ID(ECORE_AUDIO_OBJ_SUB_ID_PAUSED_GET), EO_TYPECHECK(Eina_Bool *, ret)
| Get the paused state of the object. More...
#define | ecore_audio_obj_volume_set(volume) ECORE_AUDIO_OBJ_ID(ECORE_AUDIO_OBJ_SUB_ID_VOLUME_SET), EO_TYPECHECK(double, volume)
| Set the volume of the object. More...
#define | ecore_audio_obj_volume_get(ret) ECORE_AUDIO_OBJ_ID(ECORE_AUDIO_OBJ_SUB_ID_VOLUME_GET), EO_TYPECHECK(double *, ret)
| Get the volume of the object. More...
#define | ecore_audio_obj_source_set(source, ret) ECORE_AUDIO_OBJ_ID(ECORE_AUDIO_OBJ_SUB_ID_SOURCE_SET), EO_TYPECHECK(const char *, source), EO_TYPECHECK(Eina_Bool *, ret)
| Set the source of an object. More...
#define | ecore_audio_obj_source_get(ret) ECORE_AUDIO_OBJ_ID(ECORE_AUDIO_OBJ_SUB_ID_SOURCE_GET), EO_TYPECHECK(const char **, ret)
| Get the source of an object. More...
#define | ecore_audio_obj_format_set(format, ret) ECORE_AUDIO_OBJ_ID(ECORE_AUDIO_OBJ_SUB_ID_FORMAT_SET), EO_TYPECHECK(Ecore_Audio_Format, format), EO_TYPECHECK(Eina_Bool *, ret)
| Set the format of an object. More...
#define | ecore_audio_obj_format_get(ret) ECORE_AUDIO_OBJ_ID(ECORE_AUDIO_OBJ_SUB_ID_FORMAT_GET), EO_TYPECHECK(Ecore_Audio_Format *, ret)
| Get the format of an object. More...
#define | ecore_audio_obj_vio_set(vio, data, free_func) ECORE_AUDIO_OBJ_ID(ECORE_AUDIO_OBJ_SUB_ID_VIO_SET), EO_TYPECHECK(Ecore_Audio_Vio *, vio), EO_TYPECHECK(void *, data), EO_TYPECHECK(eo_base_data_free_func, free_func)
| Set the virtual IO functions. More...

## Enumerations
enum | Ecore_Audio_Obj_Sub_Ids { ECORE_AUDIO_OBJ_SUB_ID_NAME_SET, ECORE_AUDIO_OBJ_SUB_ID_NAME_GET, ECORE_AUDIO_OBJ_SUB_ID_PAUSED_SET, ECORE_AUDIO_OBJ_SUB_ID_PAUSED_GET, ECORE_AUDIO_OBJ_SUB_ID_VOLUME_SET, ECORE_AUDIO_OBJ_SUB_ID_VOLUME_GET, ECORE_AUDIO_OBJ_SUB_ID_SOURCE_SET, ECORE_AUDIO_OBJ_SUB_ID_SOURCE_GET, ECORE_AUDIO_OBJ_SUB_ID_FORMAT_SET, ECORE_AUDIO_OBJ_SUB_ID_FORMAT_GET, ECORE_AUDIO_OBJ_SUB_ID_VIO_SET, ECORE_AUDIO_OBJ_SUB_ID_LAST }

## Functions
const Eo_Class * | ecore_audio_obj_class_get ()
| Get the Eo class ID. More...

## Variables
EAPI Eo_Op | ECORE_AUDIO_OBJ_BASE_ID

## Detailed Description

## Macro Definition Documentation

#define ecore_audio_obj_name_set | ( |  | name | ) | ECORE_AUDIO_OBJ_ID(ECORE_AUDIO_OBJ_SUB_ID_NAME_SET), EO_TYPECHECK(const char *, name)

Set the name of the object.

Since
  1.8

Parameters

  [in] | name |

#define ecore_audio_obj_name_get | ( |  | ret | ) | ECORE_AUDIO_OBJ_ID(ECORE_AUDIO_OBJ_SUB_ID_NAME_GET), EO_TYPECHECK(const char **, ret)

Get the name of the object.

Since
  1.8

Parameters

  [out] | ret |

#define ecore_audio_obj_paused_set | ( |  | paused | ) | ECORE_AUDIO_OBJ_ID(ECORE_AUDIO_OBJ_SUB_ID_PAUSED_SET), EO_TYPECHECK(Eina_Bool, paused)

Set the paused state of the object.

Since
  1.8

Parameters

  [in] | paused | EINA_TRUE to pause the object, EINA_FALSE to resume

#define ecore_audio_obj_paused_get | ( |  | ret | ) | ECORE_AUDIO_OBJ_ID(ECORE_AUDIO_OBJ_SUB_ID_PAUSED_GET), EO_TYPECHECK(Eina_Bool *, ret)

Get the paused state of the object.

Since
  1.8

Parameters

  [out] | ret | EINA_TRUE if object is paused, EINA_FALSE if not

#define ecore_audio_obj_volume_set | ( |  | volume | ) | ECORE_AUDIO_OBJ_ID(ECORE_AUDIO_OBJ_SUB_ID_VOLUME_SET), EO_TYPECHECK(double, volume)

Set the volume of the object.

Since
  1.8

Parameters

  [in] | volume | The volume, 1.0 is the default, can be > 1.0

#define ecore_audio_obj_volume_get | ( |  | ret | ) | ECORE_AUDIO_OBJ_ID(ECORE_AUDIO_OBJ_SUB_ID_VOLUME_GET), EO_TYPECHECK(double *, ret)

Get the volume of the object.

Since
  1.8

Parameters

  [out] | ret | The volume

#define ecore_audio_obj_source_set | ( |  | source,
|  |  | ret
| ) |  | ECORE_AUDIO_OBJ_ID(ECORE_AUDIO_OBJ_SUB_ID_SOURCE_SET), EO_TYPECHECK(const char *, source), EO_TYPECHECK(Eina_Bool *, ret)

Set the source of an object.

Since
  1.8

What sources are supported depends on the actual object. For example, the libsndfile class accepts WAV, OGG, FLAC files as source.

Parameters

  [in] | source | The source to set to (i.e. file, URL, device)
  [out] | ret | EINA_TRUE if the source was set correctly (i.e. the file was opened), EINA_FALSE otherwise

#define ecore_audio_obj_source_get | ( |  | ret | ) | ECORE_AUDIO_OBJ_ID(ECORE_AUDIO_OBJ_SUB_ID_SOURCE_GET), EO_TYPECHECK(const char **, ret)

Get the source of an object.

Since
  1.8

Parameters

  [out] | ret | The currently set source

#define ecore_audio_obj_format_set | ( |  | format,
|  |  | ret
| ) |  | ECORE_AUDIO_OBJ_ID(ECORE_AUDIO_OBJ_SUB_ID_FORMAT_SET), EO_TYPECHECK(Ecore_Audio_Format, format), EO_TYPECHECK(Eina_Bool *, ret)

Set the format of an object.

Since
  1.8

What formats are supported depends on the actual object. Default is ECORE_AUDIO_FORMAT_AUTO

Parameters

  [in] | format | The format to set, of type Ecore_Audio_Format
  [out] | ret | EINA_TRUE if the format was supported, EINA_FALSE otherwise

#define ecore_audio_obj_format_get | ( |  | ret | ) | ECORE_AUDIO_OBJ_ID(ECORE_AUDIO_OBJ_SUB_ID_FORMAT_GET), EO_TYPECHECK(Ecore_Audio_Format *, ret)

Get the format of an object.

Since
  1.8

After setting the source if the format was ECORE_AUDIO_FORMAT_AUTO this function will now return the actual format.

Parameters

  [out] | ret | The format of the object

#define ecore_audio_obj_vio_set | ( |  | vio,
|  |  | data,
|  |  | free_func
| ) |  | ECORE_AUDIO_OBJ_ID(ECORE_AUDIO_OBJ_SUB_ID_VIO_SET), EO_TYPECHECK(Ecore_Audio_Vio *, vio), EO_TYPECHECK(void *, data), EO_TYPECHECK(eo_base_data_free_func, free_func)

Set the virtual IO functions.

Since
  1.8

Parameters

  [in] | vio | The Ecore_Audio_Vio struct with the function callbacks
  [in] | data | User data to pass to the VIO functions
  [in] | free_func | This function takes care to clean up data when the VIO is destroyed. NULL means do nothing.

## Function Documentation

const Eo_Class* ecore_audio_obj_class_get | ( |  | ) |

Get the Eo class ID.

Returns
  The Eo class ID